/**
 * 小程序配置文件
 */
// return 'https://examopenapi.elab-plus.com' //测试
// return 'http://139.196.5.82:3001' //堡垒 映射
// return 'https://openapi.elab-plus.com' //生产
// return 'http://192.168.0.15:3000' //开发环境
// return 'http://101.132.138.87:3001' // 测试

const env = 'test';

var config = function() {
	var result = {};
	if (env === 'prod') {
		result = {
			env: env,
			sdkAppID: '1400107457',
			accType: '30285',
			brandId: 1,
			houseId: "",
			color1: "#6193A5",
			color2: "#3A4A80",
			color3:"#a27e5d",
			color4:"#edb686",
			backColor: "#474952",
            themeColor: '#A27E5D',
			themeColor1: '#A27E5D',
			themeColor2: '#EDB686',
			themeColor3: '#ECE5DE',
			themeColor4: '#F8F8F8',
			themeColor5: '#C7B19D',
			themeColor6: '#E3D8CE',
			themeColor7: '#F4D3B6',
			themeColor8: '#FAE9DA',
			themeColor9: '#FEF9F4',
			themeColor10: '#FFFFFF',
			projectName: '金茂粉',
			imPhoneAuthorize: true,
			ttPlatformPhoneAuth:false, //代表字节平台手机号审核情况
			baiduPlatformPhoneAuth:true, //代表百度平台手机号审核情况
            H5PlatformPhoneAuth:false, //代表h5平台手机号审核情况
			projectEngName: 'jinmaofen',
			// 后台接口请求地址
			url: 'https://dm-api.elab-plus.cn/', //开发-request接口域名
			newUrl: 'https://dm-api.elab-plus.cn/', //开发-request接口域名
			ImgUrl: 'http://skyforest.static.elab-plus.com/', //图片域名
			tdviewUrl: 'https://m.elab-plus.com/sell/#/tdview?houseId=', //获取3D房列表的地址,业务域名
			//客户业务后台请求域名
			// serverUrl: 'https://dm-api.elab-plus.cn/elab-marketing-rtc',//'https://room.qcloud.com', 139.196.5.59:5757 、、https://zb.elab-plus.com//生产
			roomServiceUrl: 'https://dm-api.elab-plus.cn/elab-marketing-rtc', //腾讯云RoomService后台请求域名-request接口域名
			webrtcServerUrl: 'https://dm-api.elab-plus.cn/elab-marketing-rtc', //webrtc服务地址-request接口域名
			templateUrl: 'https://m.elab-plus.com/launch/#/pages/preview?projectId=', // 模板H5链接前缀 ,webview打开,业务域名
			newTemplateUrl: 'https://dm-mng.elab-plus.cn/touFangBao/#/pages/preview?houseId=', // 新的模板H5链接前缀 ,webview打开,业务域名
			websocketUrl: 'wss://websocket.elab-plus.cn/', //websocket请求
			host:'https://dm-mng.elab-plus.com.cn/adverProgram',
		}

	} else if (env === 'dev') {
		result = {
			env: env,
			sdkAppID: '1400107457',
			accType: '30285',
			brandId: 1,
			houseId: "",
			color1: "#6193A5",
			color2: "#3A4A80",
			color3:"#a27e5d",
			color4:"#edb686",
			backColor: "#474952",
            themeColor: '#A27E5D',
			themeColor1: '#A27E5D',
			themeColor2: '#EDB686',
			themeColor3: '#ECE5DE',
			themeColor4: '#F8F8F8',
			themeColor5: '#C7B19D',
			themeColor6: '#E3D8CE',
			themeColor7: '#F4D3B6',
			themeColor8: '#FAE9DA',
			themeColor9: '#292D33',
			themeColor10: '#FFFFFF',
			projectName: '金茂粉',
			imPhoneAuthorize: true,
            ttPlatformPhoneAuth:false, //代表字节平台手机号审核情况
            baiduPlatformPhoneAuth:true, //代表百度平台手机号审核情况
            H5PlatformPhoneAuth:false, //代表h5平台手机号审核情况
			projectEngName: 'jinmao',
			// 后台接口请求地址
			url: 'https://examopenapi.elab-plus.com',
			newUrl: 'http://192.168.4.212:5555/', //开发
			ImgUrl: 'http://skyforest.static.elab-plus.com/', // 图片地址
			tdviewUrl: 'http://h5test.elab-plus.com/sell/#/tdview?houseId=',
			//客户业务后台请求域名
			// serverUrl: 'http://192.168.0.16:5555/elab-marketing-rtc',
			roomServiceUrl: 'http://192.168.0.16:5555/elab-marketing-rtc', //腾讯云RoomService后台请求域名
			webrtcServerUrl: 'https://xzb.qcloud.com/webrtc/weapp/webrtc_room',
			templateUrl: 'http://h5test.elab-plus.com/launch/#/pages/preview?projectId=', // 模板H5链接前缀
			newTemplateUrl: 'https://dm-mng.elab-plus.cn/touFangBao/#/pages/preview?houseId=', // 新的模板H5链接前缀
			websocketUrl: 'ws://192.168.4.212:5556/', //websocket请求
            host:'https://h5test.elab-plus.com/adver',
		}
	} else if (env === 'test') {
		result = {
			env: env,
			sdkAppID: '1400107457',
			accType: '30285',
			brandId: 6,
			houseId: "",
			color1: "#6193A5",
			color2: "#3A4A80",
			color3:"#a27e5d",
			color4:"#edb686",
			backColor: "#474952",
            themeColor: '#A27E5D',
			themeColor1: '#A27E5D',
			themeColor2: '#EDB686',
			themeColor3: '#ECE5DE',
			themeColor4: '#F8F8F8',
			themeColor5: '#C7B19D',
			themeColor6: '#E3D8CE',
			themeColor7: '#F4D3B6',
			themeColor8: '#FAE9DA',
			themeColor9: '#292D33',
			themeColor10: '#FFFFFF',
			projectName: '金茂粉',
			imPhoneAuthorize: true,
            ttPlatformPhoneAuth:false, //代表字节平台手机号审核情况
            baiduPlatformPhoneAuth:true, //代表百度平台手机号审核情况
            H5PlatformPhoneAuth:false, //代表h5平台手机号审核情况
			projectEngName: 'jinmao',
			// 后台接口请求地址
			url: 'http://101.132.138.87:5555/',
			tdviewUrl: 'http://h5test.elab-plus.com/sell/#/tdview?houseId=', //获取3D房列表的地址,业务域名
			newUrl:'https://gatewaytest.elab-plus.vip/', //开发-request接口域名
			ImgUrl: 'http://skyforest.static.elab-plus.com/', // 图片地址
			//客户业务后台请求域名
			// serverUrl: 'http://101.132.138.87:5555/elab-marketing-rtc',//测试
			roomServiceUrl: 'https://gatewaytest.elab-plus.vip/elab-marketing-rtc', //腾讯云RoomService后台请求域名
			webrtcServerUrl: 'https://xzb.qcloud.com/webrtc/weapp/webrtc_room',
			templateUrl: 'http://h5test.elab-plus.com/launch/#/pages/preview?projectId=', // 模板H5链接前缀
			newTemplateUrl: 'https://dm-mng.elab-plus.cn/touFangBao/#/pages/preview?houseId=', // 新的模板H5链接前缀
			websocketUrl: 'ws://101.132.138.87:5556/', //websocket请求
			host:'https://h5test.elab-plus.com/adver',
		}
	} else if (env === 'test2') {
		result = {
			env: env,
			sdkAppID: '1400107457',
			accType: '30285',
			brandId: 1,
			houseId: "",
			color1: "#6193A5",
			color2: "#3A4A80",
			color3:"#a27e5d",
			color4:"#edb686",
			backColor: "#474952",
            themeColor: '#A27E5D',
			themeColor1: '#A27E5D',
			themeColor2: '#EDB686',
			themeColor3: '#ECE5DE',
			themeColor4: '#F8F8F8',
			themeColor5: '#C7B19D',
			themeColor6: '#E3D8CE',
			themeColor7: '#F4D3B6',
			themeColor8: '#FAE9DA',
			themeColor9: '#292D33',
			themeColor10: '#FFFFFF',
			projectName: '金茂粉',
			imPhoneAuthorize: true,
            ttPlatformPhoneAuth:false, //代表字节平台手机号审核情况
            baiduPlatformPhoneAuth:true, //代表百度平台手机号审核情况
            H5PlatformPhoneAuth:false, //代表h5平台手机号审核情况
			projectEngName: 'zhidi',
			// 后台接口请求地址
			url: 'http://101.132.138.87:5555/',
			tdviewUrl: 'http://h5test.elab-plus.com/sell/#/tdview?houseId=', //获取3D房列表的地址,业务域名
			newUrl: 'http://106.14.187.241:5555/', //开发-request接口域名
			// newUrl:'https://gatewaytest.elab-plus.com/',
			ImgUrl: 'http://skyforest.static.elab-plus.com/', // 图片地址
			//客户业务后台请求域名
			// serverUrl: 'http://101.132.138.87:5555/elab-marketing-rtc',//测试
			roomServiceUrl: 'http://106.14.187.241:5555/elab-marketing-rtc', //腾讯云RoomService后台请求域名
			webrtcServerUrl: 'https://xzb.qcloud.com/webrtc/weapp/webrtc_room',
			templateUrl: 'http://h5test1.elab-plus.com/launch/#/pages/preview?projectId=', // 模板H5链接前缀
			newTemplateUrl: 'https://dm-mng.elab-plus.cn/touFangBao/#/pages/preview?houseId=', // 新的模板H5链接前缀
			// websocketUrl: 'ws://106.14.187.241:5556/', //websocket请求
			websocketUrl: 'ws://106.14.187.241:5556/', //websocket请求
			host:'https://h5test.elab-plus.com/adver',
		}
	} else if (env === 'test3') {
		result = {
			env: env,
			sdkAppID: '1400107457',
			accType: '30285',
			brandId: 1,
			houseId: "",
			color1: "#6193A5",
			color2: "#3A4A80",
			color3:"#a27e5d",
			color4:"#edb686",
			backColor: "#474952",
            themeColor: '#A27E5D',
			themeColor1: '#A27E5D',
			themeColor2: '#EDB686',
			themeColor3: '#ECE5DE',
			themeColor4: '#F8F8F8',
			themeColor5: '#C7B19D',
			themeColor6: '#E3D8CE',
			themeColor7: '#F4D3B6',
			themeColor8: '#FAE9DA',
			themeColor9: '#292D33',
			themeColor10: '#FFFFFF',
			projectName: '金茂粉',
			imPhoneAuthorize: true,
            ttPlatformPhoneAuth:false, //代表字节平台手机号审核情况
            baiduPlatformPhoneAuth:true, //代表百度平台手机号审核情况
            H5PlatformPhoneAuth:false, //代表h5平台手机号审核情况
			projectEngName: 'zhidi',
			// 后台接口请求地址
			url: 'http://101.132.138.87:5555/',
			tdviewUrl: 'http://h5test.elab-plus.com/sell/#/tdview?houseId=', //获取3D房列表的地址,业务域名
			newUrl: 'https://gatewaytest3.skyforestcity.com/', //开发-request接口域名
			// newUrl:'https://gatewaytest.elab-plus.com/',
			ImgUrl: 'http://skyforest.static.elab-plus.com/', // 图片地址
			//客户业务后台请求域名
			// serverUrl: 'http://101.132.138.87:5555/elab-marketing-rtc',//测试
			roomServiceUrl: 'https://gatewaytest3.skyforestcity.com/elab-marketing-rtc', //腾讯云RoomService后台请求域名
			webrtcServerUrl: 'https://xzb.qcloud.com/webrtc/weapp/webrtc_room',
			templateUrl: 'http://h5test1.elab-plus.com/launch/#/pages/preview?projectId=', // 模板H5链接前缀
			newTemplateUrl: 'https://dm-mng.elab-plus.cn/touFangBao/#/pages/preview?houseId=', // 新的模板H5链接前缀
			websocketUrl: 'wss://websocket.test.elab-plus.com/', //websocket请求
			host:'https://h5test.elab-plus.com/adver',
		}
	} else if (env === 'test4') {
		result = {
			env: env,
			sdkAppID: '1400107457',
			accType: '30285',
			brandId: 1,
			houseId: "",
			color1: "#6193A5",
			color2: "#3A4A80",
			color3:"#a27e5d",
			color4:"#edb686",
			backColor: "#474952",
            themeColor: '#A27E5D',
			themeColor1: '#A27E5D',
			themeColor2: '#EDB686',
			themeColor3: '#ECE5DE',
			themeColor4: '#F8F8F8',
			themeColor5: '#C7B19D',
			themeColor6: '#E3D8CE',
			themeColor7: '#F4D3B6',
			themeColor8: '#FAE9DA',
			themeColor9: '#98FB98',
			themeColor10: '#FFFFFF',
			projectName: '金茂粉',
			imPhoneAuthorize: true,
            ttPlatformPhoneAuth:false, //代表字节平台手机号审核情况
            baiduPlatformPhoneAuth:true, //代表百度平台手机号审核情况
            H5PlatformPhoneAuth:false, //代表h5平台手机号审核情况
			projectEngName: 'jinmao',
			// 后台接口请求地址
			url: 'http://47.103.74.184:5555/',
			tdviewUrl: 'http://h5test.elab-plus.com/sell/#/tdview?houseId=', //获取3D房列表的地址,业务域名
			// newUrl:'http://106.14.187.241/',//开发-request接口域名
			newUrl: 'https://gatewaytest4.skyforestcity.com/',
			ImgUrl: 'http://skyforest.static.elab-plus.com/', // 图片地址
			//客户业务后台请求域名
			// serverUrl: 'http://47.103.74.184/elab-marketing-rtc',//测试
			roomServiceUrl: 'https://gatewaytest4.skyforestcity.com/elab-marketing-rtc', //腾讯云RoomService后台请求域名
			webrtcServerUrl: 'https://xzb.qcloud.com/webrtc/weapp/webrtc_room',
			templateUrl: 'http://h5test1.elab-plus.com/launch/#/pages/preview?projectId=', // 模板H5链接前缀
			newTemplateUrl: 'https://dm-mng.elab-plus.cn/touFangBao/#/pages/preview?houseId=', // 新的模板H5链接前缀
			websocketUrl: 'ws://106.14.187.241:5556/', //websocket请求
			host:'https://h5test.elab-plus.com/adver',
		}
	} else if (env === 'uat') {
		result = {
			env: env,
			sdkAppID: '1400107457',
			accType: '30285',
			brandId: 1,
			houseId: "",
			color1: "#6193A5",
			color2: "#3A4A80",
			color3:"#a27e5d",
			color4:"#edb686",
			backColor: "#474952",
            themeColor: '#A27E5D',
			themeColor1: '#A27E5D',
			themeColor2: '#ffc444',
			themeColor3: '#f1f5f9',
			themeColor4: '#F8F8F8',
			themeColor5: '#7fbaff',
			themeColor6: '#bfddff',
			themeColor7: '#ffe1a1',
			themeColor8: '#fff6e3',
			themeColor9: '#f3f8ff',
			themeColor10: '#FFFFFF',
			projectName: '金茂粉',
			imPhoneAuthorize: true,
            ttPlatformPhoneAuth:false, //代表字节平台手机号审核情况
            baiduPlatformPhoneAuth:true, //代表百度平台手机号审核情况
            H5PlatformPhoneAuth:false, //代表h5平台手机号审核情况
			projectEngName: 'jinmao',
			tdviewUrl: 'https://mng-uat.elaber.cn/sell/#/tdview?houseId=',
			// 后台接口请求地址
			url: 'https://api-uat.elaber.cn/',
			newUrl: 'https://api-uat.elaber.cn/', //测试
			ImgUrl: 'http://skyforest.static.elab-plus.com/', // 图片地址
			//客户业务后台请求域名
			// serverUrl: 'https://api-uat.elaber.cn/elab-marketing-rtc',
			roomServiceUrl: 'https://api-uat.elaber.cn/elab-marketing-rtc', //腾讯云RoomService后台请求域名
			webrtcServerUrl: 'https://api-uat.elaber.cn/elab-marketing-rtc',
			templateUrl: 'https://m.elab-plus.com/launch/#/pages/preview?projectId=', // 模板H5链接前缀
			newTemplateUrl: 'https://dm-mng.elab-plus.cn/touFangBao/#/pages/preview?houseId=', // 新的模板H5链接前缀
			websocketUrl: 'wss://websocket-uat.elaber.cn/', //websocket请求
			host:'https://mng-uat.elaber.cn/adverProgram',
		}

	} else if (env === 'uat3') {
		result = {
			env: env,
			sdkAppID: '1400107457',
			accType: '30285',
			brandId: 1,
			houseId: "",
			color1: "#6193A5",
			color2: "#3A4A80",
			color3:"#a27e5d",
			color4:"#edb686",
			backColor: "#474952",
            themeColor: '#A27E5D',
			themeColor1: '#A27E5D',
			themeColor2: '#EDB686',
			themeColor3: '#ECE5DE',
			themeColor4: '#F8F8F8',
			themeColor5: '#C7B19D',
			themeColor6: '#E3D8CE',
			themeColor7: '#F4D3B6',
			themeColor8: '#FAE9DA',
			themeColor9: '#292D33',
			themeColor10: '#FFFFFF',
			projectName: '金茂粉',
			imPhoneAuthorize: false,
            ttPlatformPhoneAuth:false, //代表字节平台手机号审核情况
            baiduPlatformPhoneAuth:true, //代表百度平台手机号审核情况
            H5PlatformPhoneAuth:false, //代表h5平台手机号审核情况
			projectEngName: 'jinmao',
			tdviewUrl: 'https://mng-uat.elaber.cn/sell/#/tdview?houseId=',
			// 后台接口请求地址
			url: 'https://api-uat3.elaber.cn/',
			newUrl: 'https://api-uat3.elaber.cn/', //测试
			ImgUrl: 'http://skyforest.static.elab-plus.com/', // 图片地址
			//客户业务后台请求域名
			// serverUrl: 'https://api-uat3.elaber.cn/elab-marketing-rtc',
			roomServiceUrl: 'https://api-uat3.elaber.cn/elab-marketing-rtc', //腾讯云RoomService后台请求域名
			webrtcServerUrl: 'https://api-uat3.elaber.cn/elab-marketing-rtc',
			templateUrl: 'https://m.elab-plus.com/launch/#/pages/preview?projectId=', // 模板H5链接前缀
			newTemplateUrl: 'https://dm-mng.elab-plus.cn/touFangBao/#/pages/preview?houseId=', // 新的模板H5链接前缀
			websocketUrl: 'wss://websocket-uat.elaber.cn/', //websocket请求
			host:'https://mng-uat3.elaber.cn/adverProgram',

        }
    }
    return result;
}

module.exports = config();
